Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPFunctionInstance

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`, `ICPPFunction`, `ICPPSpecialization`, `ICPPTemplateInstance`, `IFunction`

public interface ICPPFunctionInstance extends ICPPTemplateInstance, ICPPFunction
This interface represents an instantiation or an explicit specialization of a function template.

Since:
  5.8
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateInstance

`EMPTY_TEMPLATE_INSTANCE_ARRAY`

## Method Summary

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPFunction

`getDeclaredType, getExceptionSpecification, getParameters, getRequiredArgumentCount, getType, hasParameterPack, isConstexpr, isDeleted, isExternC, isInline, isMutable`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPSpecialization

`getSpecializedBinding, getTemplateParameterMap`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateInstance

`getTemplateArguments, getTemplateDefinition, isExplicitSpecialization`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IFunction

`getFunctionScope, isAuto, isExtern, isNoDiscard, isNoReturn, isRegister, isStatic, takesVarArgs`